c14运行库 php_phpStudy启动失败时的解决方法 提示缺vc9运行库

php5.3、5.4和apache都是用vc9编译,电脑必须安装vc9运行库才能运行。

php5.5、5.6是vc11编译,如用php5.5、5.6必须安装vc11运行库。

php7.0、7.1是vc14编译,如用php7.0、7.1必须安装vc14运行库。

php5.5以上才有64位的,其他均为32位。所以64位的系统最好把32位的运行库也安装上。

如果您下载的是32位的phpStudy,需要安装32位的运行库;32位的VC9运行库必须安装。

注意3点:1必须安装32位的运行库,2管理员身份运行,3兼容模式运行。

phpStudy启动失败时的解决方法

phpStudy启动失败,原因一是防火墙拦截,二是80端口已经被别的程序占用,如IIS,迅雷等;三是没有安装VC9运行库,php和apache都是VC9编译。解决以上三个问题,99%能一次性安装成功

为了减少出错安装路径不得有汉字,如有防火墙开启,会提示是否信任httpd、mysqld运行,请选择全部允许。

由于牵扯到注册服务、自解压等,个别弱智傻xx杀毒卫士,xx狗会误报病毒,不放心的可以安装后自行扫描。

最好关闭xx杀毒卫士,xx狗后安装phpStudy。

32位的VC9运行库下载:http://www.microsoft.com/zh-CN/download/details.aspx?id=5582

64位的VC9运行库下载:http://www.microsoft.com/zh-CN/download/details.aspx?id=15336

不是管理员administrator的用户,请右键以管理员身份运行。牵扯到服务进程的管理必须以管理员身份运行。

端口问题无法启动时,请使用菜单『环境端口检测』进行端口检测,尝试启动。最重要的一点,你的机子一定要安装VC9运行库,phpStudy安装路径不得有汉字。

8119546a6076e0c8270124df4251b4a1.png

628b50a049bb4a283ab8a16bf057d13f.png

相关资源:VC运行库V9
表情包
插入表情
评论将由博主筛选后显示,对所有人可见 | 还能输入1000个字符
相关推荐
©️2020 CSDN 皮肤主题: 1024 设计师:白松林 返回首页